curl --request GET \
--url https://api.poelis.com/v1/public/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"archived": false,
"baseline_version_number": 5,
"createdBy": {
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
},
"excludedStatusIds": [],
"id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Jet Engine Specifications",
"owner": {
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
},
"part_number": "JE-1000-A",
"readable_id": "jet-engine-specs",
"status": {
"color": "#3b82f6",
"groupKey": "started",
"id": "770e8400-e29b-41d4-a716-446655440999",
"name": "In Progress"
},
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Get product by ID
Retrieve a single product by its unique identifier.
Overview
Returns detailed information about a specific product, including its metadata, workspace association, and baseline version configuration.
curl --request GET \
--url https://api.poelis.com/v1/public/products/{product_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.poelis.com/v1/public/products/{product_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.poelis.com/v1/public/products/{product_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"archived": false,
"baseline_version_number": 5,
"createdBy": {
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
},
"excludedStatusIds": [],
"id": "660e8400-e29b-41d4-a716-446655440000",
"name": "Jet Engine Specifications",
"owner": {
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
},
"part_number": "JE-1000-A",
"readable_id": "jet-engine-specs",
"status": {
"color": "#3b82f6",
"groupKey": "started",
"id": "770e8400-e29b-41d4-a716-446655440999",
"name": "In Progress"
},
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "unauthorized",
"message": "Invalid or missing API key"
}{
"error": "forbidden",
"message": "Access denied"
}{
"error": "not_found",
"message": "Not found"
}{
"error": "validation_error",
"message": "Invalid data format",
"details": {
"errors": [
{
"loc": [
"body",
"field_name"
],
"msg": "field required",
"type": "value_error.missing"
}
]
}
}{
"error": "rate_limit_exceeded",
"message": "Too many requests"
}Authorizations
Enter your API key. Example: Bearer poelis_api_...
Path Parameters
Response
Complete product details including partNumber, metadata, version configuration, owner, createdBy, updatedBy (id, userName, imageUrl), createdAt, and updatedAt (ISO 8601) when set.
Public representation of a product.
Human-readable product ID
Workspace this product belongs to
Product name
Product description
Active product part number, when assigned. Uniqueness is enforced organization-wide; format is validated when the product has rule configuration in the app.
User-selected baseline product version number.
Whether the product is archived or not.
Current workflow status for this product. Null when no status is set.
Show child attributes
Show child attributes
Workspace-level status IDs that are hidden for this product.
Product owner. Null when not set.
Show child attributes
Show child attributes
{
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
}
User who created the product.
Show child attributes
Show child attributes
{
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
}
ISO 8601 creation timestamp
ISO 8601 last-update timestamp
User who last updated the product
Show child attributes
Show child attributes
{
"id": "auth0|550e8400-e29b-41d4-a716-446655440000",
"imageUrl": "https://example.com/avatar.png",
"userName": "Jane Doe"
}